Skip to main content

Historical contract: Find Business Payment Option

Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

Historical meaning​

Find Business Payment Option

This API endpoint is used to obtain a specific payment option from a business.

Current API​

For new integrations, use the linked current API reference or guide.

Read the current guide

Parameters​

[
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "params",
"in": "query",
"schema": {
"type": "string"
}
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "paymethod_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]

Request body​

null

Responses​

{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 1,\n \"paymethod_id\": 5,\n \"business_id\": 0,\n \"sandbox\": false,\n \"data\": {\n \"app\": \"<redacted-payment-credential>\",\n \"key\": \"<redacted-payment-credential>\"\n },\n \"data_sandbox\": {\n \"app\": \"<redacted-payment-credential>\",\n \"key\": \"<redacted-payment-credential>\"\n },\n \"enabled\": true\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"paymethod_id": {
"type": "integer",
"example": 5,
"default": 0
},
"business_id": {
"type": "integer",
"example": 0,
"default": 0
},
"sandbox": {
"type": "boolean",
"example": false,
"default": true
},
"data": {
"type": "object",
"properties": {
"app": {
"type": "string",
"example": "<redacted-payment-credential>"
},
"key": {
"type": "string",
"example": "<redacted-payment-credential>"
}
}
},
"data_sandbox": {
"type": "object",
"properties": {
"app": {
"type": "string",
"example": "<redacted-payment-credential>"
},
"key": {
"type": "string",
"example": "<redacted-payment-credential>"
}
}
},
"enabled": {
"type": "boolean",
"example": true,
"default": true
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"Credentials do not exist.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "Credentials do not exist."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"You do not have permission.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "You do not have permission."
}
}
}
}
}
}
}
}